# Gimp.Vector3.cross_product

    @accepts(Gimp.Vector3, Gimp.Vector3)
    @returns(Gimp.Vector3)
    def cross_product(self, vector2):
        # Python wrapper for gimp_vector3_cross_product()

Compute the cross product of two vectors. The result is a Gimp.Vector3 which is orthogonal to both self and vector2. If self and vector2 and parallel, the result will be the nul vector.

This function can be used to compute the normal of the plane defined by self and vector2.

self

  a pointer to the first Gimp.Vector3.

vector2

  a pointer to the second Gimp.Vector3.

Returns